O Belenix não funcionou comigo com esses processaores:

  • AMD Athlon XP 2000+
  • AMD Sempron 2400+

Logo no início do boot eu tinha um erro parecido com esse:

ld.so.1: perl: fatal: /lib/libm.so.2: hardware capability unsupported: 0x1000 [SSE2]
Killed

É um problema que atualmente o Belenix (versão 0.6.1) tem com processadores sem suporte a instruções SSE2, a libm padrão tem dependencia dessas instruções. Sem o perl funcionando vários scripts de inicialização do sistema falham e tudo que se consegue é um prompt de login.

Para contornar o problema há como montar uma versão da biblioteca que não depende do SSE2. O login padrão do Belenix é usuário root senha belenix. Com isso você consegue um terminal mínimo de root e faz a montagem:

/usr/sbin/mount -O -F lofs /lib/libm.so.2.nonsse /lib/libm.so.2

Mais informações nessa thread na lista do Belenix.